package com.nationrel.weibull;

import com.nationrel.weibull.util.SpringContextUtil;
import org.mybatis.spring.annotation.MapperScan;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.cloud.openfeign.EnableFeignClients;
import org.springframework.context.annotation.Import;
import org.springframework.context.annotation.ImportResource;
import springfox.documentation.swagger2.annotations.EnableSwagger2;

@MapperScan("com.nationrel.weibull.dao")
@SpringBootApplication
@EnableFeignClients
@EnableSwagger2
@Import(SpringContextUtil.class)
@ImportResource(locations = {"classpath:config/excelConfig.xml"})
public class NationrelWeibullApplication {

    public static void main(String[] args) {
        SpringApplication.run(NationrelWeibullApplication.class, args);
    }

}
