package com.nationrel.weibull.dao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.nationrel.weibull.domain.entity.EwbNevadaData;
import com.nationrel.weibull.domain.entity.EwbNonNevadaData;
import org.apache.ibatis.annotations.Insert;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface EwbNevadaDataMapper extends BaseMapper<EwbNevadaData> {
    @Insert({"<script>",
            "insert into ewb_nevada_data (nevada_id,sort,datas) values",
            "<foreach collection='nevadaDatas' item='nevadaData' index='index' separator=','>",
            "(#{nevadaData.nevadaId},#{nevadaData.sort},#{nevadaData.datas})",
            "</foreach>",
            "</script>"})
    void insertBatch(@Param(value = "nevadaDatas") List<EwbNevadaData> nevadaDatas);
}