package com.nationrel.weibull.dao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.nationrel.weibull.domain.entity.EwbNevadaSetting;
import com.nationrel.weibull.domain.entity.EwbNonNevadaSetting;
import org.apache.ibatis.annotations.Param;

public interface EwbNevadaSettingMapper extends BaseMapper<EwbNevadaSetting> {

    /**
     * 复制：内华达分析设定表
     *
     * @param sourceNevadaId 源ID
     * @param targetNevadaId 目标ID
     * @return void
     */
    void copyData(@Param("sourceNevadaId") String sourceNevadaId,
                  @Param("targetNevadaId") String targetNevadaId);
}