package com.nationrel.weibull.domain.dto;

import com.nationrel.weibull.domain.entity.*;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

import java.util.List;

@Data
@AllArgsConstructor
@NoArgsConstructor
@SuperBuilder
public class EwbNevadaCreateDto {

    private EwbNonNevadaSetting nonNevadaSetting;

    private EwbNevadaSetting nevadaSetting;

    private List<EwbNonNevadaData> nonNevadaData;

    private List<EwbNevadaData> nevadaData;

    private List<EwbNevadaKpiData> kpiDatas;

    private List<EwbNevadaKpiSetting> kpiSettings;
}
