package com.nationrel.weibull.domain.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

import javax.validation.constraints.NotNull;

@Data
@AllArgsConstructor
@NoArgsConstructor
@SuperBuilder
public class EwbNevadaSettingDto {

    @ApiModelProperty(value = "内华达ID同时也是analysisId")
    @NotNull(message = "NevadaIdNotEmpty")
    private String nevadaId;

    @ApiModelProperty(value = "内华达数据名称")
    @NotNull(message = "NameNotEmpty")
    private String analysisName;
}
