package com.nationrel.weibull.domain.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

import java.util.Date;

@ApiModel(value = "计算器历史计算结果表",description = "计算器历史计算结果表")
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
@TableName("ewb_analysis_calc_history")
public class EwbAnalysisCalcHistory {

    @ApiModelProperty(value = "用户id")
    private int userId;

    @ApiModelProperty(value = "计算类型(1,2,3,4,5)")
    private int calcType;

    @ApiModelProperty(value = "参数配置")
    private String parameter;

    @ApiModelProperty(value = "计算结果")
    private String result;

    @ApiModelProperty(value = "添加时间")
    private Date insertTime;

}