package com.nationrel.weibull.domain.entity;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

import java.math.BigDecimal;

@ApiModel(value = "寿命数据分析失效率图置信数据表",description = "寿命数据分析失效率图置信数据表")
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
@TableName("ewb_analysis_fr_believe")
public class EwbAnalysisFrBelieve {
    @TableId("setting_id")
    @ApiModelProperty(value = "分析设定ID")
    private String settingId;

    @ApiModelProperty(value = "序号")
    private Integer sortNo;

    @ApiModelProperty(value = "置信上限时间")
    private BigDecimal ubTime;

    @ApiModelProperty(value = "置信上限值")
    private BigDecimal ubValue;

    @ApiModelProperty(value = "置信上限画图用X")
    private BigDecimal ubX;

    @ApiModelProperty(value = "置信上限画图用Y")
    private BigDecimal ubY;

    @ApiModelProperty(value = "置信下限时间")
    private BigDecimal lbTime;

    @ApiModelProperty(value = "置信下限值")
    private BigDecimal lbValue;

    @ApiModelProperty(value = "置信下限画图用X")
    private BigDecimal lbX;

    @ApiModelProperty(value = "置信下限画图用Y")
    private BigDecimal lbY;
}