package com.nationrel.weibull.domain.entity;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

import java.math.BigDecimal;

@ApiModel(value = "寿命数据分析秩表",description = "寿命数据分析秩表")
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
@TableName("ewb_analysis_rank")
public class EwbAnalysisRank {
    @TableId("data_id")
    @ApiModelProperty(value = "数据ID")
    private String dataId;

    @ApiModelProperty(value = "ADRi")
    private Double adri;

    @ApiModelProperty(value = "秩")
    private Double rank;

    @ApiModelProperty(value = "数据编号")
    private Integer dataNo;

    @ApiModelProperty(value = "失效时间")
    private Double failureTime;

    @ApiModelProperty(value = "x轴变换坐标")
    private Double x;

    @ApiModelProperty(value = "y轴变换坐标")
    private Double y;
}