package com.nationrel.weibull.domain.entity;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

@ApiModel(value = "寿命数据分析结果详细表",description = "寿命数据分析结果详细表")
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
@TableName("ewb_analysis_result_detail")
public class EwbAnalysisResultDetail {
    @TableId("setting_id")
    @ApiModelProperty(value = "分析设定ID")
    private String settingId;

    @ApiModelProperty(value = "SORT_NO")
    private Integer sortNo;

    @ApiModelProperty(value = "MIX_BETA")
    private Double mixBeta;

    @ApiModelProperty(value = "MIX_ETA")
    private Double mixEta;

    @ApiModelProperty(value = "MIX_P")
    private Double mixP;

    @ApiModelProperty(value = "MIX_VARP")
    private Double mixVarp;

    @ApiModelProperty(value = "MIX_COVP")
    private Double mixCovp;

    @ApiModelProperty(value = "MIX_VARBETA")
    private Double mixVarbeta;

    @ApiModelProperty(value = "MIX_VARETA")
    private Double mixVareta;

    @ApiModelProperty(value = "MIX_COVBETAETA")
    private Double mixCovbetaeta;
}