package com.nationrel.weibull.domain.entity;

import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.validation.constraints.NotBlank;

/**
 * 前端更新单个分析
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
public class EwbAnalysisSolveDataUpdateVo {

    @ApiModelProperty(value = "计算ID")
    @NotBlank(message = "AnalysisIdNotEmpty")
    private String solveId;

    @ApiModelProperty(value = "计算名称")
    @NotBlank(message = "NameNotEmpty")
    private String solveName;

}
