package com.nationrel.weibull.domain.entity;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
@TableName("ewb_da_chart_data")
public class EwbDaChartData {
    @ApiModelProperty(value = "退化分析ID")
    private String daId;

    @ApiModelProperty(value = "临界值")
    private Double daValue;

    @ApiModelProperty(value = "模型类型(01:Linear  02:Exponential  03:Power  04:Logarithmic  05:Logistic  06:LogLogistic  07:Gompertz  08:LloydLipow)")
    private String modelCode;

    @ApiModelProperty(value = "序号")
    private Integer sortNo;

    @ApiModelProperty(value = "单元编号")
    private String unitNo;

    @ApiModelProperty(value = "检测时间")
    private Double x;

    @ApiModelProperty(value = "测量值")
    private Double y;
}