package com.nationrel.weibull.domain.entity;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonIgnore;
import io.swagger.annotations.ApiModelProperty;
import jdk.nashorn.internal.ir.annotations.Ignore;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
@TableName("ewb_da_data")
public class EwbDaData {
    @TableId("da_id")
    @ApiModelProperty(value = "退化分析ID")
    private String daId;

    @ApiModelProperty(value = "数据源")
    private String source;

    @ApiModelProperty(value = "数据量")
    private Integer quantity;

    @ApiModelProperty(value = "单元数量")
    private Integer unitQuantity;

    @ApiModelProperty(value = "最大检测时间")
    private Double maxInspectTime;

    @ApiModelProperty(value = "最小检测时间")
    private Double minInspectTime;

    @ApiModelProperty(value = "最大测量值")
    private Double maxInspectValue;

    @ApiModelProperty(value = "最小测量值")
    private Double minInspectValue;

    @ApiModelProperty(value = "TotalSse")
    private Double totalSse;

    @ApiModelProperty(value = "TotalPho")
    private Double totalPho;

    @ApiModelProperty(value = "model")
    private String model;

}