package com.nationrel.weibull.domain.entity;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
@TableName("ewb_da_info")
public class EwbDaInfo {

    @TableId("da_id")
    @ApiModelProperty(value = "退化ID")
    private String daId;

    @ApiModelProperty(value = "项目ID")
    private String wbId;

    @ApiModelProperty(value = "退化分析名称")
    private String daName;

    @ApiModelProperty(value = "删除状态")
    private String delFlag;

    @ApiModelProperty(value = "创建时间")
    private java.util.Date insertTime;

    @ApiModelProperty(value = "创建者")
    private String insertUserId;

    @ApiModelProperty(value = "更新时间")
    private java.util.Date updateTime;

    @ApiModelProperty(value = "更新者")
    private String updateUserId;

    @ApiModelProperty(value = "版本号")
    private Integer versionNo;
}