package com.nationrel.weibull.domain.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

@Data
@AllArgsConstructor
@NoArgsConstructor
@SuperBuilder
public class EwbAnalysisStressStrengthVo {
    @ApiModelProperty(value = "计算ID")
    private String stressStrengthId;
    @ApiModelProperty(value = "计算名称")
    private String solveName;
    private String solveCode;
    private String analysisCode;
    private String compareAnalysisCode;
    private String distributingCode;
    private String compareDistributingCode;
    private Double beta;
    private Double eta;
    private Double miu;
    private Double sigma;
    private Double logMiu;
    private Double logSigma;
    private Double lambda;
    private Double compareBeta;
    private Double compareEta;
    private Double compareMiu;
    private Double compareSigma;
    private Double compareLogMiu;
    private Double compareLogSigma;
    private Double compareLambda;

    @ApiModelProperty(value = "X-axis开始")
    private Double xaxisStart;

    @ApiModelProperty(value = "X-axis结束")
    private Double xaxisEnd;

    @ApiModelProperty(value = "Y-axis开始")
    private Double yaxisStart;

    @ApiModelProperty(value = "Y-axis结束")
    private Double yaxisEnd;
}
