package com.nationrel.weibull.domain.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.validation.constraints.NotBlank;

/**
 * @author Aimee on 2020/10/20.
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
public class EwbAnlaysisCreateVo {

    @ApiModelProperty(value = "项目ID", required = true)
    @NotBlank(message = "AnalysisIdNotEmpty")
    private String wbId;
    @NotBlank(message = "NameNotEmpty")
    @ApiModelProperty(value = "名称名称", required = true)
    private String analysisName;
    @ApiModelProperty(value = "对象编号")
    private String objectCode;
    @ApiModelProperty(value = "对象名称")
    private String objectName;
    @ApiModelProperty(value = "备注")
    private String description;
}
