package com.nationrel.weibull.domain.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

/**
 * @author Aimee on 2020/10/22.
 */
@Data
@SuperBuilder
@AllArgsConstructor
@NoArgsConstructor
public class EwbCalcResultVo {
    @ApiModelProperty(value = "数据ID")
    private String analysisId;
    @ApiModelProperty(value = "数据ID")
    private String dataId;
    @ApiModelProperty(value = "数据ID")
    private String settingId;
    @ApiModelProperty(value = "数据ID")
    private String distributingCode;
    @ApiModelProperty(value = "数据ID")
    private String estimationMethodCode;
    @ApiModelProperty(value = "数据ID")
    private String parameterCode;
    @ApiModelProperty(value = "数据ID")
    private String paramter;
    @ApiModelProperty(value = "包含删失数据(右删失数据) 1:选中  0:未选中")
    private String rightFlag;
    @ApiModelProperty(value = "包含区间数据或左删失数据 1:选中  0:未选中")
    private String leftFlag;
    @ApiModelProperty(value = "概率VS时间 1:选中  0:未选中")
    private String timeForRank;
    @ApiModelProperty(value = "数据ID")
    private String url;
    @ApiModelProperty(value = "beta")
    private String beta;
    @ApiModelProperty(value = "eta")
    private String eta;
    @ApiModelProperty(value = "gamma")
    private String gamma;
    @ApiModelProperty(value = "lambda")
    private String lambda;
    @ApiModelProperty(value = "mu")
    private String mu;
    @ApiModelProperty(value = "sigma")
    private String sigma;
    @ApiModelProperty(value = "logMu")
    private String logMu;
    @ApiModelProperty(value = "logSigma")
    private String logSigma;
    @ApiModelProperty(value = "betaTwo")
    private String betaTwo;
    @ApiModelProperty(value = "etaTwo")
    private String etaTwo;
    @ApiModelProperty(value = "proportion")
    private String proportion;
    @ApiModelProperty(value = "betaThree")
    private String betaThree;
    @ApiModelProperty(value = "etaThree")
    private String etaThree;
    @ApiModelProperty(value = "proportionTwo")
    private String proportionTwo;
    @ApiModelProperty(value = "believePercent")
    private String believePercent;
}
