package com.nationrel.weibull.domain.vo;

import com.nationrel.weibull.domain.entity.EwbDaChartData;
import com.nationrel.weibull.domain.entity.EwbDaUnitResults;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;

@SuppressWarnings("AlibabaLowerCamelCaseVariableNaming")
@Data
@AllArgsConstructor
@NoArgsConstructor
public class EwbDegradationResultVo {

    private List<EwbDaUnitResults> UnitResults;

    private Double TotalSSE;

    private Double TotalPho;

    private String model;

    private String modelStr;

    private Double daValue;

    private String[] dates;

    private List<List<EwbDaChartData>> lines;

    private List<EwbDegradationDataVo> points;

    @ApiModelProperty(value = "X-axis开始")
    private Double xaxisStart;

    @ApiModelProperty(value = "X-axis结束")
    private Double xaxisEnd;

    @ApiModelProperty(value = "Y-axis开始")
    private Double yaxisStart;

    @ApiModelProperty(value = "Y-axis结束")
    private Double yaxisEnd;
}
