package com.nationrel.weibull.domain.vo;

import com.nationrel.weibull.domain.bo.EwbAnalysisSettingSaveBo;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@AllArgsConstructor
@NoArgsConstructor
public class EwbDegradationToWeibull {

    @ApiModelProperty(value = "项目ID", required = true)
    private String wbId;
    @ApiModelProperty(value = "名称名称", required = true)
    private String analysisName;
    @ApiModelProperty(value = "分析设置", required = true)
    private EwbAnalysisSettingSaveBo setting;
    @ApiModelProperty(value = "分析数据", required = true)
    private EwbAnalysisDataSaveVo dataList;
}
