package com.nationrel.weibull.domain.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @author Aimee on 2020/10/22.
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
public class EwbDistributionSelectVo {
    @ApiModelProperty(value = "分布类型 Weibull:01  Lognormal:02   Normal:03  Exponential:04")
    private String distributingCode;
    @ApiModelProperty(value = "参数类型 1参数:01  2参数:02  3参数:03  WeibullMixed2Pop:04  WeibullMixed3Pop：05")
    private String parameterCode;
    @ApiModelProperty(value = "分析设定ID")
    private String settingId;
    @ApiModelProperty(value = "分析ID")
    private String analysisId;
    @ApiModelProperty(value = "数据ID")
    private String dataId;

}
