package com.nationrel.weibull.domain.vo;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

import javax.validation.constraints.NotBlank;

@Data
@AllArgsConstructor
@NoArgsConstructor
@SuperBuilder
public class EwbStressStrengthCreateVo {

    @NotBlank(message = "AnalysisIdNotEmpty")
    private String wbId;

    @NotBlank(message = "NameNotEmpty")
    private String name;
}
