package com.nationrel.weibull.exception;

import com.nationrel.general.domain.enums.reliaqube.ReliaqubeProgramExceptionEnum;
import com.nationrel.general.domain.enums.weibull.EwbCustomPromptEnum;

/**
 * @author Hcs on 2018/8/6.
 */
public class CannotPlotException extends RuntimeException {

    private Integer status;

    /**
     * 数据校验异常错误信息
     *
     * @param languageKey
     */
    public CannotPlotException(Integer languageKey) {
        super(EwbCustomPromptEnum.getLanguageMessageByKey(EwbCustomPromptEnum.画图出现问题, languageKey));
        this.status = ReliaqubeProgramExceptionEnum.ParamterDataException.getIndex();
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }
}
