package com.nationrel.weibull.dao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.nationrel.weibull.domain.entity.EwbAnalysisDataRank;
import com.nationrel.weibull.domain.vo.EwbAnalysisDataRankVo;
import org.apache.ibatis.annotations.Delete;
import org.apache.ibatis.annotations.Select;

import java.util.List;

public interface EwbAnalysisDataRankMapper extends BaseMapper<EwbAnalysisDataRank> {

    @Select("select data_no, failure_time, failure_rank from ewb_analysis_data_rank where data_id = #{dataId}")
    List<EwbAnalysisDataRankVo> selectByDataId(String dataId);

    @Delete("delete from ewb_analysis_data_rank where data_id = #{dataId}")
    int deleteByDataId(String dataId);
}