package com.nationrel.weibull.domain.bo;

import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @author Aimee on 2020/9/24.
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
public class EwbCalcRandomBo {

    @ApiModelProperty(value = "数据ID", required = true)
    private String dataId;

    @ApiModelProperty(value = "设定ID", required = true)
    private String settingId;

    @ApiModelProperty(value = "分析ID", required = true)
    private String analysisId;

    @ApiModelProperty(value = "distributingCode : 参数类型")
    private String distributingCode;

    @ApiModelProperty(value = "estimationMethodCode : 参数估计方法")
    private String estimationMethodCode;

    @ApiModelProperty(value = "beta : β")
    private String beta;

    @ApiModelProperty(value = "eta : η")
    private String eta;

    @ApiModelProperty(value = "gamma : γ")
    private String gamma;

    @ApiModelProperty(value = "lamda : λ")
    private String lamda;

    @ApiModelProperty(value = "mean : u'")
    private String logMean;

    @ApiModelProperty(value = "sigma : σ'")
    private String logSigma;

    @ApiModelProperty(value = "mean : u")
    private String mean;

    @ApiModelProperty(value = "sigma : σ")
    private String sigma;

    @ApiModelProperty(value = "censoring : 删失")
    private String censoring;

    @ApiModelProperty(value = "produceQuantity : 生成点个数")
    private String produceQuantity;

    @ApiModelProperty(value = "failureQuantity : 失效数")
    private String failureQuantity;

    @ApiModelProperty(value = "time : 时间")
    private String time;

}
