package com.nationrel.weibull.domain.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.validation.constraints.NotNull;

/**
 * @author Aimee on 2020/10/21.
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
public class EwbAnalysisNevadaPlotVo {
    @ApiModelProperty(value = "分析ID")
    @NotNull(message = "AnalysisIdNotEmpty")
    private String analysisId;

    private String plotType;

    private String boundSided;

    private String confidenceLevel;

    private String method;

    @ApiModelProperty(value = "X-axis开始")
    private Double xaxisStart;

    @ApiModelProperty(value = "X-axis结束")
    private Double xaxisEnd;

    @ApiModelProperty(value = "Y-axis开始")
    private Double yaxisStart;

    @ApiModelProperty(value = "Y-axis结束")
    private Double yaxisEnd;
}
