package com.nationrel.weibull.domain.entity;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

@ApiModel(value = "寿命数据分析数据明细表",description = "寿命数据分析数据明细表")
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
@TableName("ewb_analysis_data_rank")
public class EwbAnalysisDataRank {
    @TableId("data_id")
    @ApiModelProperty(value = "数据ID")
    private String dataId;

    @ApiModelProperty(value = "数据编号")
    private Integer dataNo;

    @ApiModelProperty(value = "失效时间")
    private Double failureTime;

    @ApiModelProperty(value = "失效比")
    private Double failureRank;
}