package com.nationrel.weibull.domain.entity;

import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.validation.constraints.NotBlank;

/**
 * 前端创建单个分析
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
public class EwbAnalysisSolveDataCreateVo {

    @ApiModelProperty(value = "计算名称")
    @NotBlank(message = "NameNotEmpty")
    private String solveName;

    @ApiModelProperty(value = "类型")
    private Integer solveCode;

}
