package com.nationrel.weibull.domain.entity;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
@TableName("ewb_da_data_detail")
public class EwbDaDataDetail {

    @TableId("da_id")
    @ApiModelProperty(value = "数据ID")
    private String daId;

    @ApiModelProperty(value = "数据编号")
    private Integer dataNo;

    @ApiModelProperty(value = "单元编号")
    private String unitNo;

    @ApiModelProperty(value = "检测时间")
    private Double inspectTime;

    @ApiModelProperty(value = "测量值")
    private Double inspectValue;

}