package com.nationrel.weibull.domain.entity;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
@TableName("ewb_da_unit_results")
public class EwbDaUnitResults {
    @TableId("da_id")
    @ApiModelProperty(value = "DA_ID")
    private String daId;
    @ApiModelProperty(value = "临界值")
    private Double daValue;
    @ApiModelProperty(value = "A")
    private Double a;
    @ApiModelProperty(value = "B")
    private Double b;
    @ApiModelProperty(value = "C")
    private Double c;
    @ApiModelProperty(value = "vara")
    private Double vara;
    @ApiModelProperty(value = "varb")
    private Double varb;
    @ApiModelProperty(value = "varc")
    private Double varc;
    @ApiModelProperty(value = "sse")
    private Double sse;
    @ApiModelProperty(value = "pho")
    private Double pho;
    @ApiModelProperty(value = "model")
    private String model;
    @ApiModelProperty(value = "单元编号")
    private String unitId;
    @ApiModelProperty(value = "预测失效时间")
    private Double predictedFailureTime;
}