package com.nationrel.weibull.domain.entity;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
@TableName("ewb_multi_chart_detail")
public class EwbMultiChartDetail {
    @TableId("multi_Chart_Id")
    @ApiModelProperty(value = "多图ID")
    private String multiChartId;

    @ApiModelProperty(value = "分析ID")
    private String analysisId;

    @ApiModelProperty(value = "顺序")
    private Integer sortNo;
}