package com.nationrel.weibull.domain.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

@ApiModel(value = "direct内华达分析数据表",description = "direct内华达分析数据表")
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
@TableName("ewb_nevada_kpi_data")
public class EwbNevadaKpiData {
    @ApiModelProperty(value = "内华达ID同时也是analysisId")
    private String nevadaId;

    @ApiModelProperty(value = "序号")
    private Integer sort;

    @ApiModelProperty(value = "数据")
    private String datas;
}