package com.nationrel.weibull.domain.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

@ApiModel(value = "内华达分析数据表",description = "内华达分析数据表")
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
@TableName("ewb_nevada_kpi_setting")
public class EwbNevadaKpiSetting {
    @ApiModelProperty(value = "内华达ID同时也是analysisId")
    private String nevadaId;

    @ApiModelProperty(value = "sort")
    private Integer sort;

    @ApiModelProperty(value = "itemName")
    private String itemName;

    @ApiModelProperty(value = "startTime")
    private Integer startTime;

    @ApiModelProperty(value = "endTime")
    private Integer endTime;

    @ApiModelProperty(value = "预测周期")
    private Integer forecast;

    @ApiModelProperty(value = "beta")
    private String beta;

    @ApiModelProperty(value = "beta")
    private String eta;

    @ApiModelProperty(value = "lambda")
    private String lambda;

    @ApiModelProperty(value = "calcResult")
    private String calcResult;
}