package com.nationrel.weibull.domain.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;


/**
 * @ClassName RldAnalysisDataDetailModel
 * @Description 寿命数据分析明细实现类
 * @Author
 * @Version V1.0
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
public class EwbAnalysisDataMaxMinSVo {

    @ApiModelProperty(value = "最小失效时间")
    private Double minSuspensionTime;

    @ApiModelProperty(value = "最大失效时间")
    private Double maxSuspensionTime;

}
