package com.nationrel.weibull.domain.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;


/**
 * @ClassName RldAnalysisDataDetailModel
 * @Description 寿命数据分析明细实现类
 * @Author
 * @Version V1.0
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
public class EwbAnalysisDataRankVo implements Serializable {

    /**
     * @Fields serialVersionUID
     */
    private static final long serialVersionUID = 849333913413679148L;

    @ApiModelProperty(value = "数据ID")
    private String dataId;

    @ApiModelProperty(value = "数据编号")
    private String dataNo;

    @ApiModelProperty(value = "失效时间")
    private String failureTime;

    @ApiModelProperty(value = "失效比")
    private String failureRank;

    public static String[] toStringStr(EwbAnalysisDataRankVo detailVo) {
        return new String[]{detailVo.getDataNo(), detailVo.getFailureTime(), detailVo.getFailureRank()};
    }
}
