package com.nationrel.weibull.domain.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.validation.constraints.NotBlank;

/**
 * @author Aimee on 2020/10/20.
 */
@ApiModel(value = "项目编辑保存实体",description = "项目编辑保存实体")
@Data
@AllArgsConstructor
@NoArgsConstructor
public class EwbAnalysisInfoSaveVo {
    @ApiModelProperty(value = "项目ID")
    @NotBlank(message = "AnalysisIdNotEmpty")
    private String wbId;

    @ApiModelProperty(value = "项目名称")
    @NotBlank(message = "NameNotEmpty")
    private String wbName;

    @ApiModelProperty(value = "对象编号")
    private String objectCode;

    @ApiModelProperty(value = "对象名称")
    private String objectName;

    @ApiModelProperty(value = "备注")
    private String description;
}
