package com.nationrel.weibull.domain.vo;

import com.nationrel.weibull.domain.entity.EwbAnalysis;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;

@ApiModel(value = "寿命数据分析列表",description = "寿命数据分析列表")
@Data
@AllArgsConstructor
@NoArgsConstructor
public class EwbAnalysisListVo extends EwbAnalysis {

    @ApiModelProperty(value = "数据ID")
    private String dataId;

    @ApiModelProperty(value = "名称")
    private String label;

    @ApiModelProperty(value = "whichTree")
    private String whichTree;

    @ApiModelProperty(value = "项目ID")
    private String wbId;

    @ApiModelProperty(value = "父级ID")
    private String parentId;

    @ApiModelProperty(value = "周期状态名称")
    private String lifeStateName;

    @ApiModelProperty(value = "创建者名称")
    private String insertUserName;

    @ApiModelProperty(value = "更新者名称")
    private String updateUserName;

    @ApiModelProperty(value = "设置ID")
    private String settingId;

    @ApiModelProperty(value = "子节点")
    private List<EwbAnalysisListVo> children;
}