package com.nationrel.weibull.domain.vo;

import com.nationrel.weibull.domain.entity.EwbAnalysisNodataSetting;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @author Aimee on 2020/9/22.
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
public class EwbAnalysisSettingVo {

    @ApiModelProperty(value = "分析设定ID")
    private String settingId;

    @ApiModelProperty(value = "分析ID")
    private String analysisId;

    @ApiModelProperty(value = "分布类型")
    private String distributingCode;

    @ApiModelProperty(value = "参数类型")
    private String parameterCode;

    @ApiModelProperty(value = "参数估计方法")
    private String estimationMethodCode;

    @ApiModelProperty(value = "求秩方法")
    private String rankMethodCode;

    @ApiModelProperty(value = "置信类型")
    private String believeCode;

    @ApiModelProperty(value = "置信法")
    private String believeMethodCode;

    @ApiModelProperty(value = "置信度")
    private Double believePercent;

    @ApiModelProperty(value = "状态为f的数据量")
    private Integer failureQuantity;

    @ApiModelProperty(value = "β")
    private Double beta;

    @ApiModelProperty(value = "∑")
    private Double sigma;

    @ApiModelProperty(value = "logsigma")
    private Double logsigma;

    @ApiModelProperty(value = "所有数据数量")
    private Long dataQuantity;

    @ApiModelProperty(value = "无数据的参数")
    private EwbAnalysisNodataSetting nodataSetting;

    @ApiModelProperty(value = "概率VS时间")
    private String timeForRank;
}
