package com.nationrel.weibull.domain.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.validation.constraints.NotBlank;

@Data
@AllArgsConstructor
@NoArgsConstructor
public class EwbDaInfoSaveVo {

    @ApiModelProperty(value = "退化ID")
    @NotBlank(message = "DataIdNotEmpty")
    private String daId;

    @ApiModelProperty(value = "退化分析名称")
    private String daName;

    @ApiModelProperty(value = "删除状态")
    private String delFlag;
}