package com.nationrel.weibull.domain.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.validation.constraints.NotBlank;

@Data
@AllArgsConstructor
@NoArgsConstructor
public class EwbDaSettingVo {
    @ApiModelProperty(value = "DA_ID")
    @NotBlank(message = "DataIdNotEmpty")
    private String daId;

    @ApiModelProperty(value = "模型类型(01:Linear  02:Exponential  03:Power  04:Logarithmic  05:Logistic  06:LogLogistic  07:Gompertz  08:LloydLipow)")
    private String modelCode;

    @ApiModelProperty(value = "临界退化值")
    private Double daValue;
}