package com.nationrel.weibull.domain.vo;

import com.nationrel.weibull.domain.entity.EwbAnalysisDisWizard;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;

/**
 * @author Aimee on 2020/10/22.
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
public class EwbDistributionVo {

    @ApiModelProperty(value = "分析ID")
    private String analysisId;

    @ApiModelProperty(value = "数据ID")
    private String dataId;

    @ApiModelProperty(value = "当前勾选的数据，json格式，主要传 checkeFlag、distributingCode、parameterCode")
    private List<EwbAnalysisDisWizard> ewbAnalysisDisWizards;

    @ApiModelProperty(value = "参数估计方法")
    private String estimationMethodCode;
}
