package com.nationrel.weibull.domain.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @author Aimee on 2020/10/20.
 */
@ApiModel
@Data
@AllArgsConstructor
@NoArgsConstructor
public class EwbMultiChartAnalysisListVo {
    @ApiModelProperty(value = "项目ID")
    private String wbId;
    @ApiModelProperty(value = "分析ID ")
    private String analysisId;
    @ApiModelProperty(value = "分析名称")
    private String analysisName;
    @ApiModelProperty(value = "分布类型")
    private String distributingCode;
    @ApiModelProperty(value = "1:默认选中")
    private String checkFlag;
    @ApiModelProperty(value = "是否分析: 0：未分析  1：已分析")
    private String plotCount;
    @ApiModelProperty(value = "设置id")
    private String settingId;
}
