package com.nationrel.weibull.domain.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.validation.constraints.NotBlank;

/**
 * @author Aimee on 2020/10/20.
 */
@ApiModel
@Data
@AllArgsConstructor
@NoArgsConstructor
public class EwbMultiChartCreateVo {
    @ApiModelProperty(value = "项目名称")
    @NotBlank(message = "NameNotEmpty")
    private String name;

    @ApiModelProperty(value = "项目ID")
    private String wbId;

    @ApiModelProperty(value = "对象编号")
    private String objectCode;

    @ApiModelProperty(value = "对象名称")
    private String objectName;

    @ApiModelProperty(value = "备注")
    private String description;

    @ApiModelProperty(value = "分析ID(使用英文逗号隔开  111,222,333) ")
    private String analysisIds;
}
