package com.nationrel.weibull.domain.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @author Aimee on 2020/10/20.
 */
@ApiModel
@Data
@AllArgsConstructor
@NoArgsConstructor
public class EwbStressAnalysisListVo {

    @ApiModelProperty(value = "项目ID")
    private String wbId;

    @ApiModelProperty(value = "分析ID ")
    private String analysisId;

    @ApiModelProperty(value = "分析名称")
    private String analysisName;

    @ApiModelProperty(value = "参数code")
    private String parameterCode;

    @ApiModelProperty(value = "分析结果")
    private String analysisResult;

    @ApiModelProperty(value = "1:默认选中")
    private String checkFlag;
}
