package com.nationrel.weibull.domain.vo;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

import javax.validation.constraints.NotBlank;

@Data
@AllArgsConstructor
@NoArgsConstructor
@SuperBuilder
public class EwbStressStrengthEditNameVo {

    @NotBlank(message = "AnalysisIdNotEmpty")
    private String stressStrengthId;

    @NotBlank(message = "NameNotEmpty")
    private String analysisName;
}
