package com.nationrel.weibull.domain.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@AllArgsConstructor
@NoArgsConstructor
public class SolveConfidenceVo {

    @ApiModelProperty(value = "计算ID")
    private String solveId;
    @ApiModelProperty(value = "计算名称")
    private String solveName;
    @ApiModelProperty(value = "可靠性1-100%", required = true)
    private String reliability;
    @ApiModelProperty(value = "测试单元", required = true)
    private String sampleSize;
    @ApiModelProperty(value = "失效", required = true)
    private String allowFailures;
}
