package com.nationrel.weibull.domain.vo;

import com.nationrel.weibull.domain.entity.EwbAnalysisCalcHistory;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

import java.util.List;

@Data
@SuperBuilder
@AllArgsConstructor
@NoArgsConstructor
public class SolveFixEffectivinessCalcResultVo {

    @ApiModelProperty(value = "第三步的计算结果")
    private String calucResult;

    @ApiModelProperty(value = "第二步的计算结果")
    private List<EwbCalcResultKeyValueVo> calucResults;

    @ApiModelProperty(value = "历史计算")
    private List<EwbAnalysisCalcHistory> calucHistory;

    private String fixDataId;
    private String defectdataId;
    private String solveId;
}
