package com.nationrel.weibull.domain.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@AllArgsConstructor
@NoArgsConstructor
public class SolveTimeChiSquareRelVo {

    @ApiModelProperty(value = "计算ID")
    private String solveId;
    @ApiModelProperty(value = "计算名称")
    private String solveName;
    @ApiModelProperty(value = "要求的可靠度1-100%", required = true)
    private String reliability;
    @ApiModelProperty(value = "要求的置信水平1-100%", required = true)
    private String confidenceLevel;
    @ApiModelProperty(value = "要求时间", required = true)
    private String time;
    @ApiModelProperty(value = "失效", required = true)
    private String allowFailures;

}
